Configure Connection Dialog Box

[This is preliminary documentation and subject to change.]

When an application attempts to connect to WMI using the ODBC adapter the Configure Connection dialog box is displayed. The following graphic shows an example of the Configure Connection dialog box.

The Configure Connection dialog box contains the following.

Dialog box element | Description
User Name | Necessary only for remote security.
Password | Necessary only for remote security.
Interpret empty password as: | Determines how the ODBC Adapter processes password information if you leave the Password box blank. If you click NULL, the password of the current user is used. If you click Blank, an empty password is used to connect to WMI.
Authority | Indicates the Microsoft® Windows NT® LAN Manager (NTLM) domain name to which the user account belongs. Necessary only for remote security.
System Properties | If selected, this check box indicates that the driver will expose WMI system properties. Select this check box if you want to access system properties.
Impersonation | Indicates that the ODBC Adapter will attempt to impersonate the user account defined by the User Name and Password values. It is important not to confuse DCOM impersonation levels with user impersonation associated with services. DCOM impersonation levels specify the permissions granted to individual DCOM calls to WMI. User impersonation attempts to make calls through ODBC as if another user account requested them.
Passthrough only | Indicates that the ODBC adapter will only attempt to get the query data through a single direct WQL query statement. Select this check box if you want to get a result or a failure quickly. If you do not select this check box, the WMI ODBC adapter will attempt to perform the query by breaking it down into smaller sub queries that WMI can then process.
Server name | Used to connect to WMI on a remote system. For example, to connect to a remote WMI server named MyServer you would specify \\MyServer. Leave this box blank to connect to WMI on the local computer.
Browse button | Displays a dialog box where you can select a remote WMI server. For more information, see Browsing for Namespaces on Remote WMI Servers.
Locale | Indicates the locale to use. If unspecified, the current locale is used.
Connect button | Connects to WMI using the parameters in the Configure Connection dialog box. If the connection to WMI is successful, the Connect button changes to Refresh and the Namespace Selection tree control appears so you can select a local or remote namespace.
Refresh button | Equivalent to reconnecting. Any history of selected nodes in the Namespace Selection pane is lost.
Namespace Selection | Displays namespaces after you click Connect. The Namespace Selection tree control is cleared of any current information and replaced by the tree control for the new server.

Built on Thursday, May 27, 1999


Browsing for Namespaces on Remote WMI Servers

[This is preliminary documentation and subject to change.]

Click Browse on the Configure Connection dialog box to display the Server Selection dialog box. You can use the Server Selection dialog box to select a remote WMI server. The following graphic shows an example Server Selection dialog box.

Built on Thursday, May 27, 1999


Selecting a Namespace

[This is preliminary documentation and subject to change.]

The Namespace Selection pane on the Configure Connection dialog box contains a standard tree control showing the nesting of namespaces. Each namespace has an associated check box showing the state of the namespace. Select the namespace that contains the data you want to retrieve. For example, select snmp under the root namespace if you want to get simple network management protocol (SNMP) data.

Click the check box or folder to select or clear the namespace. If the namespace tree control item has not been expanded, a recursive selection or clearing is performed on the namespaces inside the folder. If the item is already expanded or has no child tree items, then only the tree control item is affected.

The following graphic shows a sample Namespace Selection pane.

The state of each tree control item is shown in the following table.

State | Description
 | Item is not selected and no child items (if any) are selected.
 | Item is selected but no child items (if any) are selected.
 | Item is not selected, but at least one child item is selected.
 | Item is selected and at least one child item is selected.

Built on Thursday, May 27, 1999